Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QHttp.Error

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QHttp.Error

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QHttp

    public static final class QHttp.Error

extends java.lang.Enum
implements QtEnumerator

This enum identifies the error that occurred.

See also:
  `error()`.

See Also:
  Serialized Form

Field Summary
`static QHttp.Error` | `Aborted` The request was aborted with `abort()`.
`static QHttp.Error` | `AuthenticationRequiredError` The web server requires authentication to complete the request.
`static QHttp.Error` | `ConnectionRefused` The server refused the connection.
`static QHttp.Error` | `HostNotFound` The host name lookup failed.
`static QHttp.Error` | `InvalidResponseHeader` The server sent an invalid response header.
`static QHttp.Error` | `NoError` No error occurred.
`static QHttp.Error` | `ProxyAuthenticationRequiredError` `QHttp` is using a proxy, and the proxy server requires authentication to establish a connection.
`static QHttp.Error` | `UnexpectedClose` The server closed the connection unexpectedly.
`static QHttp.Error` | `UnknownError` An error other than those specified above occurred.
`static QHttp.Error` | `WrongContentLength` The client could not read the content correctly because an error with respect to the content length occurred.

Method Summary
`static QHttp.Error` | `resolve(int value)` Returns the QHttp$Error constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHttp.Error` | `valueOf(java.lang.String name)`
`static QHttp.Error[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoError

    public static final QHttp.Error NoError

  No error occurred.

### UnknownError

    public static final QHttp.Error UnknownError

  An error other than those specified above occurred.

### HostNotFound

    public static final QHttp.Error HostNotFound

  The host name lookup failed.

### ConnectionRefused

    public static final QHttp.Error ConnectionRefused

  The server refused the connection.

### UnexpectedClose

    public static final QHttp.Error UnexpectedClose

  The server closed the connection unexpectedly.

### InvalidResponseHeader

    public static final QHttp.Error InvalidResponseHeader

  The server sent an invalid response header.

### WrongContentLength

    public static final QHttp.Error WrongContentLength

  The client could not read the content correctly because an error with respect to the content length occurred.

### Aborted

    public static final QHttp.Error Aborted

  The request was aborted with `abort()`.

### AuthenticationRequiredError

    public static final QHttp.Error AuthenticationRequiredError

  The web server requires authentication to complete the request.

### ProxyAuthenticationRequiredError

    public static final QHttp.Error ProxyAuthenticationRequiredError

  `QHttp` is using a proxy, and the proxy server requires authentication to establish a connection.

Method Detail

### values

    public static QHttp.Error[] values()

### valueOf

    public static QHttp.Error valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHttp.Error resolve(int value)

  Returns the QHttp$Error constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD